summaryrefslogtreecommitdiffstats
path: root/util
diff options
context:
space:
mode:
authortv <tv@also>2011-08-05 01:59:42 +0200
committertv <tv@also>2011-08-05 01:59:42 +0200
commiteb463764aee76992bdbfa9e82c1fcd2e1ef6465f (patch)
treef807a175d180536da6ee855c59b50962bd37b1ad /util
parent181fbc7593a9df30e9c22d3acc81a26347afc872 (diff)
naturalvoices.att: initial commit
Diffstat (limited to 'util')
-rwxr-xr-xutil/bin/naturalvoices.att40
1 files changed, 40 insertions, 0 deletions
diff --git a/util/bin/naturalvoices.att b/util/bin/naturalvoices.att
new file mode 100755
index 00000000..e329694f
--- /dev/null
+++ b/util/bin/naturalvoices.att
@@ -0,0 +1,40 @@
+#! /bin/sh
+set -euf
+
+A=Mozilla
+baseURL="http://192.20.225.36"
+url="$baseURL/tts/cgi-bin/nph-talk"
+
+pwd="$(dirname "$(readlink -f "$0")")"
+
+for x in \
+ "$pwd/../../submodules/github/tmpvar" \
+ "$pwd/../../submodules/github/mikeal" \
+ "$pwd/../../submodules/github/NV" \
+ "$pwd/../../submodules/github/tautologistics" \
+; do
+ export NODE_PATH="`readlink -f "$x"`${NODE_PATH+:$NODE_PATH}"
+done
+
+# ensure query is ready
+(cd "$pwd/../.." && git submodule update --init)
+
+{
+ for arg; do echo "$arg"; done | sed -rn '
+ s/^--(.*=.*)/\1/p;t
+ s/.*/text="${text+$text }&"/p;t
+ '
+ cat<<EOF
+ query() {
+ node "$(readlink -f "$pwd/../../submodules/github/visionmedia/query")" "\$@"
+ }
+ curl -sS -A "\${A-Mozilla}" \\
+ -d "voice=\${voice-klara}" \\
+ -d "txt=\$text" \\
+ -d "downloadButton=DOWNLOAD" \\
+ "$url" |
+ query 'p a'
+EOF
+} | sh | while read url; do
+ curl -sS "$baseURL$url" | aplay -q -
+done